// creator  : weidu.exe (version 23600)
// argument : JAHEIR.DLG
// game     : .
// source   : ./override/JAHEIR.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~JAHEIR~

IF ~  ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
NumberOfTimesTalkedTo(0)
!Dead("Khalid")
~ THEN BEGIN 0 // from:
  SAY #294 /* ~Good day, friend! You are the child of Gorion, are you not? I recognize you from his letters, for he writes of you often. Forgive my manners; I am Jaheira and this is Khalid, my husband.~ */
  IF ~~ THEN DO ~SetGlobal("SpokeToKhalid","GLOBAL",1)
~ EXTERN ~KHALID~ 0
END

IF ~  NumberOfTimesTalkedTo(0)
!Dead("Khalid")
~ THEN BEGIN 1 // from:
  SAY #295 /* ~Greetings. You... you look familiar, though it's not your looks. I am not sure what I expected, but I believe you are Gorion's child. I am Jaheira; this is Khalid.~ */
  IF ~~ THEN DO ~SetGlobal("SpokeToKhalid","GLOBAL",1)
~ EXTERN ~KHALID~ 0
END

IF ~~ THEN BEGIN 2 // from: KHALID:1.0
  SAY #296 /* ~It is almost a slight on him, but I see it too.~ */
  IF ~~ THEN EXTERN ~KHALID~ 4
END

IF ~~ THEN BEGIN 3 // from: KHALID:4.0 KHALID:0.0
  SAY #297 /* ~We are old friends of your adopted father. He is not with you? I must assume the worst. He would not permit his only child to wander without his accompaniment.~ */
  IF ~~ THEN EXTERN ~KHALID~ 2
END

IF ~~ THEN BEGIN 4 // from: KHALID:2.0
  SAY #298 /* ~Gorion often said that he worried for your safety, even at the expense of his own. He also wished that Khalid and I would become your guardians, if he should ever meet an untimely end. However, you are much older now, and the choice of your companions should be your own.~ */
  IF ~~ THEN DO ~AddJournalEntry(27181,QUEST_DONE)
~ EXTERN ~KHALID~ 3
END

IF ~~ THEN BEGIN 5 // from: KHALID:3.0
  SAY #299 /* ~It would be a fitting last service to Gorion, though we should first go to Nashkel. Khalid and I look into local concerns, and there are rumors of strange things happening at the mines. No doubt you have heard of the iron shortage? You would do well to help us. It affects everyone, including you. We are to meet the mayor of the town, Berrun Ghastkill.~ */
  IF ~~ THEN REPLY #312 /* ~Your company would be welcome.~ */ GOTO 6
  IF ~~ THEN REPLY #313 /* ~I would rather choose my own future and leave Gorion's past behind me. I'll find my way on my own.~ */ GOTO 7
  IF ~  InParty("Xzar")
InParty("Montaron")
~ THEN REPLY #314 /* ~I'm already going to Nashkel. My current companions wish to visit there as well.~ */ GOTO 8
  IF ~  !InParty("Xzar")
InParty("Montaron")
~ THEN REPLY #16713 /* ~I'm already going to Nashkel. One of my current acquaintances wishes to visit there as well.~ */ GOTO 14
  IF ~  InParty("Xzar")
!InParty("Montaron")
~ THEN REPLY #16714 /* ~I'm already going to Nashkel. One of my current acquaintances wishes to visit there as well.~ */ GOTO 8
  IF ~Global("X#JaheiraImoenJoin","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraImoenJoin","GLOBAL",1)~ EXTERN ~IMOEN2~ 141
END

IF ~~ THEN BEGIN 6 // from: IMOEN2:142.0 IMOEN2:141.0 15.0 5.0
  SAY #300 /* ~Well, good! We'll leave as soon as you're ready, though it should be soon.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~Global("X#JAHEIR6","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ GOTO 16
  IF ~Global("X#JAHEIR6","GLOBAL",0)
OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ EXTERN ~SHARTJ~ 271
  IF ~Global("X#JAHEIR6","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ EXTERN ~SHARTJ~ 272
  IF ~Global("X#JAHEIR6","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ EXTERN ~SHARTJ~ 274
  IF ~Global("X#JAHEIR6","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ GOTO 20
  IF ~Global("X#JAHEIR6","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR6","GLOBAL",1)~ EXTERN ~IMOEN2~ 500
END

IF ~~ THEN BEGIN 7 // from: IMOEN2:142.1 IMOEN2:141.1 15.1 5.1
  SAY #301 /* ~It seems Gorion was a bit generous in his assessment of you, but it's your decision, and I wish you luck on your way.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~Global("X#JaheiraImoenJoin2","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraImoenJoin2","GLOBAL",1)~ EXTERN ~IMOEN2~ 183
END

IF ~~ THEN BEGIN 8 // from: IMOEN2:142.4 IMOEN2:142.2 IMOEN2:141.4 IMOEN2:141.2 15.4 15.2 5.4 5.2
  SAY #302 /* ~Indeed? Interesting. In that case I think we should definitely travel as one. You can never be too careful about the dangers of the open road. Wherever they may spring from.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~Global("X#JAHEIR8","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ GOTO 24
  IF ~Global("X#JAHEIR8","GLOBAL",0)
OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ EXTERN ~SHARTJ~ 283
  IF ~Global("X#JAHEIR8","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ EXTERN ~SHARTJ~ 284
  IF ~Global("X#JAHEIR8","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ EXTERN ~SHARTJ~ 286
  IF ~Global("X#JAHEIR8","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ GOTO 28
  IF ~Global("X#JAHEIR8","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR8","GLOBAL",1)~ EXTERN ~IMOEN2~ 501
END

IF ~  Global("SpokeToKhalid","GLOBAL",1)
~ THEN BEGIN 9 // from:
  SAY #15439 /* ~Good luck on your further ventures.~ */
  IF ~~ THEN EXIT
END

IF ~  False()
~ THEN BEGIN 10 // from:
  SAY #16093 /* ~I openly question your judgment, but it is your decision to make. You do show some measure of leadership, and I should be glad to assist you in the future.~ */
  IF ~~ THEN EXIT
END

IF ~  False()
~ THEN BEGIN 11 // from:
  SAY #16094 /* ~I openly question your judgment, but it is your decision to make. You do show some measure of leadership, and I should be glad to assist you in the future. Come Khalid, we must depart for now.~ */
  IF ~~ THEN EXIT
END

IF ~  False()
~ THEN BEGIN 12 // from:
  SAY #16095 /* ~Perhaps it is for the best. I would rather be somewhere else, as you appear to be something of a lost cause. You have some of Gorion's sense, but little of his wisdom.~ */
  IF ~~ THEN EXIT
END

IF ~  False()
~ THEN BEGIN 13 // from:
  SAY #16096 /* ~Perhaps it is for the best. I would rather be somewhere else, as you appear to be something of a lost cause. You have some of Gorion's sense, but little of his wisdom. Come Khalid, there are better places for us than this.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: IMOEN2:142.3 IMOEN2:141.3 15.3 5.3
  SAY #16715 /* ~Indeed? Interesting. In that case I think we should definitely travel as one. You can never be too careful about the dangers of the open road. Wherever they may spring from.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~Global("X#JAHEIR14","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ GOTO 32
  IF ~Global("X#JAHEIR14","GLOBAL",0)
OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ EXTERN ~SHARTJ~ 295
  IF ~Global("X#JAHEIR14","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ EXTERN ~SHARTJ~ 296
  IF ~Global("X#JAHEIR14","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ EXTERN ~SHARTJ~ 298
  IF ~Global("X#JAHEIR14","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ GOTO 36
  IF ~Global("X#JAHEIR14","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JAHEIR14","GLOBAL",1)~ EXTERN ~IMOEN2~ 502
END

IF ~~ THEN BEGIN 15 // from: IMOEN2:142.5 IMOEN2:141.5
  SAY #46940 /* ~Adventurers generally do not call each other 'auntie', Imoen. But enough distractions. Gorion had mentioned you in his correspondence, praising your fast friendship with his ward. You are welcome to come along.~ */
  IF ~~ THEN REPLY #312 /* ~Your company would be welcome.~ */ GOTO 6
  IF ~~ THEN REPLY #313 /* ~I would rather choose my own future and leave Gorion's past behind me. I'll find my way on my own.~ */ GOTO 7
  IF ~  InParty("Xzar")
InParty("Montaron")
~ THEN REPLY #314 /* ~I'm already going to Nashkel. My current companions wish to visit there as well.~ */ GOTO 8
  IF ~  !InParty("Xzar")
InParty("Montaron")
~ THEN REPLY #16713 /* ~I'm already going to Nashkel. One of my current acquaintances wishes to visit there as well.~ */ GOTO 14
  IF ~  InParty("Xzar")
!InParty("Montaron")
~ THEN REPLY #16714 /* ~I'm already going to Nashkel. One of my current acquaintances wishes to visit there as well.~ */ GOTO 8
END

IF ~~ THEN BEGIN 16 // from: 6.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 17 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 18 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 19 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 20 // from: 6.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 21
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 279
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 278
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 277
END

IF ~~ THEN BEGIN 21 // from: 20.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 22 // from: IMOEN2:500.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 23
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 282
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 281
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 280
END

IF ~~ THEN BEGIN 23 // from: IMOEN2:500.1 22.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 24 // from: 8.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 25 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 26 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 27 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 28 // from: 8.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 29
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 291
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 290
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 289
END

IF ~~ THEN BEGIN 29 // from: 28.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 30 // from: IMOEN2:501.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 31
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 294
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 293
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 292
END

IF ~~ THEN BEGIN 31 // from: IMOEN2:501.1 30.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 32 // from: 14.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 33 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 34 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 35 // from:
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 36 // from: 14.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 37
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 303
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 302
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 301
END

IF ~~ THEN BEGIN 37 // from: 36.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END

IF ~~ THEN BEGIN 38 // from: IMOEN2:502.5
  SAY #31047 /* ~*sigh*~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN GOTO 39
  IF ~  OR(2)
Gender(Player1,MALE)
!Class(Player1,DRUID_ALL)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 306
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 305
  IF ~  InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN EXTERN ~SHARTJ~ 304
END

IF ~~ THEN BEGIN 39 // from: IMOEN2:502.1 38.1
  SAY #50365 /* ~The sooner, the better.~ */
  IF ~~ THEN DO ~SetGlobalTimer("Jaheira","GLOBAL",FOUR_DAYS)
SetGlobalTimer("Khalid","GLOBAL",TWELVE_DAYS)
ActionOverride("Khalid",JoinParty())
EraseJournalEntry(31439)
EraseJournalEntry(31440)
AddJournalEntry(31441,QUEST)
JoinParty()
~ UNSOLVED_JOURNAL #27182 /* ~Jaheira and Khalid
Jaheira and Khalid would have me accompany them to Nashkel.~ */ EXIT
END
